Upstream information

CVE-2018-5389 at MITRE

Description

The Internet Key Exchange v1 main mode is vulnerable to offline dictionary or brute force attacks. Reusing a key pair across different versions and modes of IKE could lead to cross-protocol authentication bypasses. It is well known, that the aggressive mode of IKEv1 PSK is vulnerable to offline dictionary or brute force attacks. For the main mode, however, only an online attack against PSK authentication was thought to be feasible. This vulnerability could allow an attacker to recover a weak Pre-Shared Key or enable the impersonation of a victim host or network.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 6.7
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.0/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network Local
Attack Complexity High Low
Privileges Required None High
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None High
Availability Impact None High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1101792 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7 strongswan Not affected
SUSE Enterprise Storage 7.1 strongswan Not affected
SUSE Linux Enterprise Desktop 15 SP4 strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 strongswan Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 strongswan Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP4 strongswan Not affected
SUSE Linux Enterprise Real Time 15 SP3 strongswan Not affected
SUSE Linux Enterprise Server 12 SP5 strongswan Affected
SUSE Linux Enterprise Server 12-LTSS strongswan Unsupported
SUSE Linux Enterprise Server 15 SP4 strongswan Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 strongswan Not affected
SUSE Linux Enterprise Workstation Extension 15 SP4 strongswan Not affected
SUSE Manager Proxy 4.2 strongswan Not affected
SUSE Manager Proxy 4.3 strongswan Not affected
SUSE Manager Retail Branch Server 4.2 strongswan Not affected
SUSE Manager Retail Branch Server 4.3 strongswan Not affected
SUSE Manager Server 4.2 strongswan Not affected
SUSE Manager Server 4.3 strongswan Not affected
SUSE Package Hub 15 SP4 strongswan Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS strongswan Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS strongswan Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 strongswan Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 strongswan Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 strongswan Not affected
SUSE Linux Enterprise Server 12 SP2-BCL strongswan Released
SUSE Linux Enterprise Server 12 SP4 strongswan Affected
SUSE Linux Enterprise Server 12 SP4-LTSS strongswan Released
SUSE Linux Enterprise Server 15 SP1 strongswan Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS strongswan Not affected
SUSE Linux Enterprise Server 15 SP2 strongswan Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS strongswan Not affected
SUSE Linux Enterprise Server 15 SP3 strongswan Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS strongswan Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 strongswan Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 strongswan Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 strongswan Affected
SUSE Linux Enterprise Server for SAP Applications 15 strongswan Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 strongswan Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 strongswan Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 strongswan Not affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 strongswan Affected
SUSE CaaS Platform 4.0 strongswan Not affected
SUSE CaaS Platform 4.5 strongswan Not affected
SUSE Enterprise Storage 6 strongswan Not affected
SUSE Linux Enterprise Desktop 12 strongswan Affected
SUSE Linux Enterprise Desktop 12 SP1 strongswan Affected
SUSE Linux Enterprise Desktop 12 SP2 strongswan Affected
SUSE Linux Enterprise Desktop 12 SP3 strongswan Affected
SUSE Linux Enterprise Desktop 12 SP4 strongswan Affected
SUSE Linux Enterprise Desktop 15 strongswan Not affected
SUSE Linux Enterprise Desktop 15 SP1 strongswan Not affected
SUSE Linux Enterprise Desktop 15 SP2 strongswan Not affected
SUSE Linux Enterprise Desktop 15 SP3 strongswan Not affected
SUSE Linux Enterprise Module for Basesystem 15 strongswan Not affected
SUSE Linux Enterprise Module for Package Hub 15 strongswan Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP1 strongswan Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP2 strongswan Not affected
SUSE Linux Enterprise Module for Package Hub 15 SP3 strongswan Not affected
SUSE Linux Enterprise Real Time 15 SP2 strongswan Not affected
SUSE Linux Enterprise Server 11 SP1 openswan Unsupported
SUSE Linux Enterprise Server 11 SP1 strongswan Released
SUSE Linux Enterprise Server 11 SP3 strongswan Released
SUSE Linux Enterprise Server 11 SP3 LTSS strongswan Affected
SUSE Linux Enterprise Server 11 SP3-LTSS strongswan Affected
SUSE Linux Enterprise Server 11 SP4 strongswan Affected
SUSE Linux Enterprise Server 11 SP4-LTSS strongswan Released
SUSE Linux Enterprise Server 12 strongswan Affected
SUSE Linux Enterprise Server 12 SP1 strongswan Affected
SUSE Linux Enterprise Server 12 SP1-LTSS strongswan Unsupported
SUSE Linux Enterprise Server 12 SP2 strongswan Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS strongswan Affected
SUSE Linux Enterprise Server 12 SP2-LTSS strongswan Unsupported
SUSE Linux Enterprise Server 12 SP3 strongswan Affected
SUSE Linux Enterprise Server 12 SP3-BCL strongswan Released
SUSE Linux Enterprise Server 12 SP3-ESPOS strongswan Affected
SUSE Linux Enterprise Server 12 SP3-LTSS strongswan Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS strongswan Affected
SUSE Linux Enterprise Server 15 strongswan Not affected
SUSE Linux Enterprise Server 15 SP1-BCL strongswan Not affected
SUSE Linux Enterprise Server 15 SP2-BCL strongswan Not affected
SUSE Linux Enterprise Server 15 SP3-BCL strongswan Not affected
SUSE Linux Enterprise Server 15-LTSS strongswan Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 strongswan Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 strongswan Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 strongswan Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 strongswan Released
SUSE Linux Enterprise Workstation Extension 15 SP2 strongswan Not affected
SUSE Linux Enterprise Workstation Extension 15 SP3 strongswan Not affected
SUSE Manager Proxy 4.0 strongswan Not affected
SUSE Manager Proxy 4.1 strongswan Not affected
SUSE Manager Retail Branch Server 4.0 strongswan Not affected
SUSE Manager Retail Branch Server 4.1 strongswan Not affected
SUSE Manager Server 4.0 strongswan Not affected
SUSE Manager Server 4.1 strongswan Not affected
SUSE OpenStack Cloud 7 strongswan Affected
SUSE OpenStack Cloud 8 strongswan Affected
SUSE OpenStack Cloud 9 strongswan Affected
SUSE OpenStack Cloud Crowbar 8 strongswan Affected
SUSE OpenStack Cloud Crowbar 9 strongswan Affected
SUSE Package Hub 15 strongswan Not affected
SUSE Package Hub 15 SP1 strongswan Not affected
SUSE Package Hub 15 SP3 strongswan Not affected


SUSE Timeline for this CVE

CVE page created: Thu Jul 19 10:25:17 2018
CVE page last modified: Fri Jan 20 14:09:43 2023